<?php

class LSTTrabajos extends AppListado {
	
	public function init(){
		
		$potencial = Usuario::getPotencialLogueado();
		
		// Datos
		$this->setClase('Servicio');
		$this->setMetodo('lst_mitrabajo');
		$this->setPoderPaginar(false);
		$this->setParametroMetodo('chofer', $potencial->getChofer());
		$this->setParametroMetodo('esUsuarioKarve', $potencial->tieneUsuarioKarve());
		$this->setParametroMetodo('potencial', $potencial->getCodigo());

		// Columnas
			
		$fecha = new CLMTexto('hora','$choferNombre#<br/><b>$fechaServicioInicio#</a> - $horaServicioInicio#</b> - $numeroServicio#$fechaSalidaDeFrancia#<br/>$disponibilidad#<br/>$origen#<br/>$destino#<br/>$tipoServicio#', 'Fecha');
		$fecha->setOrdenable(false);
		$this->addColumna($fecha);
		
		$estado = new CLMAccion('accioens', 'servicio');
		$icono = new VstIcono(VstIcono::APP_icon_tasks);
		$accion = new VstBoton('/wservicio/resumen/id/$numeroServicio#', BASEURL , 'Cambiar estado', '', $icono);
		$accion->setClase('btn btn-lg btn-primary');
		$acciones = new CLMTexto('acciones',$accion->render().'<br/>$nombre_estado#','Estado');
		$this->addColumna($acciones);
		
	}
	
		protected function aplicarCondicionantes(){
			foreach ($this->_datos as $posicion => &$reg) {
				if ($reg['datosBD']['fechaServicioInicio']==date('d/m/Y')){
					$reg['atributos']['class']='color_actual';
				}
				if ($reg['datosBD']['nombre_estado']=='En_garaje'){
					$reg['atributos']['class']='color_finalizado';
				}
				
					#A8CDED
					//$reg['atributos']= array('style'=>'background-color:#f00');
					//$reg['columnas']['nombre']['atributos']['style']='background-color:#f00';
					//$reg['columnas']['nombre']['atributos'] = array('style'=>'background-color:#f00');
				
			}
					
		}
	
}